SqlUtil::AbstractSequence Class Referenceabstract

base class for sequences More...

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_max)
| creates the object from the arguments
abstract string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
string | getDropSql ()
| returns a string that can be used to drop the sequence from the database
abstract string | getRenameSql (string new_name)
| returns a string that can be used to rename the sequence in the database

## Public Attributes

number | increment
| the increment
*number | max
| the ending number
string | name
| the name of the sequence
number | start
| the starting number

## Detailed Description

base class for sequences